#pragma once

#include "event.hpp"

#include <string_view>

class Connection;

struct CommandEvent : Event
{
    /// @brief oper account of sender
    std::string_view oper;

    /// @brief nickserv acccount of sender
    std::string_view account;

    /// @brief nickname of sender
    std::string_view nick;

    /// @brief command name excluding sigil
    std::string_view command;

    /// @brief complete argument excluding space after command
    std::string_view arg;
};

struct CommandThread
{
    static auto start(Connection&) -> void;
};
